package com.common.bean;


import java.io.Serializable;

/**
 * Created by Miaoke on 2017/3/1.
 */

public class EmploymentBean implements Serializable {


    /**
     * companyName : string
     * companyProvince : string
     * companyCity : string
     * companyDistrict : string
     * companyArea : string
     * companyAddress : string
     * companyPhone : string
     * profession : PROGRAMMER
     * salary : BELOW_2B
     * workEmail : string
     */

    private String companyName;
    private RegionBean.RegionsBean companyProvince ;
    private RegionBean.RegionsBean companyCity;
    private RegionBean.RegionsBean companyDistrict;
    private RegionBean.RegionsBean companyArea;
    private String companyAddress;
    private String companyPhone;
    private String salary;
    private String jobType;

    public EmploymentBean() {
    }

    public EmploymentBean(EmploymentServerBean employmentServerBean) {

        companyProvince = new RegionBean.RegionsBean();
        companyCity = new RegionBean.RegionsBean();
        companyDistrict = new RegionBean.RegionsBean();
        companyArea = new RegionBean.RegionsBean();

        this.setCompanyName(employmentServerBean.getCompanyName());
        companyProvince.setName(employmentServerBean.getCompanyProvince());
        companyCity.setName(employmentServerBean.getCompanyCity());
        companyDistrict.setName(employmentServerBean.getCompanyDistrict());
        companyArea.setName(employmentServerBean.getCompanyArea());
        this.setCompanyAddress(employmentServerBean.getCompanyAddress());
        this.setCompanyPhone(employmentServerBean.getCompanyPhone());
        this.setJobType(employmentServerBean.getProfession());
        this.setSalary(employmentServerBean.getSalary());
    }


    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public RegionBean.RegionsBean getCompanyProvince() {
        return companyProvince;
    }

    public void setCompanyProvince(RegionBean.RegionsBean companyProvince) {
        this.companyProvince = companyProvince;
    }

    public RegionBean.RegionsBean getCompanyCity() {
        return companyCity;
    }

    public void setCompanyCity(RegionBean.RegionsBean companyCity) {
        this.companyCity = companyCity;
    }

    public RegionBean.RegionsBean getCompanyDistrict() {
        return companyDistrict;
    }

    public void setCompanyDistrict(RegionBean.RegionsBean companyDistrict) {
        this.companyDistrict = companyDistrict;
    }

    public RegionBean.RegionsBean getCompanyArea() {
        return companyArea;
    }

    public void setCompanyArea(RegionBean.RegionsBean companyArea) {
        this.companyArea = companyArea;
    }

    public String getCompanyAddress() {
        return companyAddress;
    }

    public void setCompanyAddress(String companyAddress) {
        this.companyAddress = companyAddress;
    }

    public String getCompanyPhone() {
        return companyPhone;
    }

    public void setCompanyPhone(String companyPhone) {
        this.companyPhone = companyPhone;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public String getJobType() {
        return jobType;
    }

    public void setJobType(String jobType) {
        this.jobType = jobType;
    }
}
